use super::*;
use std::{

};

#[derive(Debug, Clone)]
pub enum RecursionMode
{
    None,
    All,
    N(usize),
}

#[derive(Debug, Clone)]
pub enum OperationMode
{
    Print,
    Delete,
}

#[derive(Debug, Clone)]
pub struct Mode
{
    pub error_mode: error::Mode,
    pub recursion_mode: RecursionMode,
    pub operation_mode: OperationMode,
}

impl Default for Mode
{
    fn default() -> Self
    {
	Self {
	    error_mode: error::Mode::Cancel,
	    recursion_mode: RecursionMode::None,
	    operation_mode: OperationMode::Print,
	}
    }
}

pub const DEFAULT_HASHNAME: &'static str = ".rmdupe";

#[derive(Debug)]
pub struct Config
{
    /// Paths to dupde-check
    pub paths: Vec<String>,
    /// operation mode
    pub mode: Mode,
    /// Save hashes to
    pub save: Vec<String>,
    /// Load hashes from
    pub load: Vec<String>,
    /// Print verbose info
    pub verbose: bool,
}
